import "Turbine";
import "Turbine.UI";

width = 150;
height = 180;

window = Turbine.UI.Window();
window:SetMouseVisible(false);

window.Update = function()
	currentTime = Turbine.Engine.GetGameTime();
	if currentTime - previousTime1 >= 0.01 then
		previousTime1 = currentTime;
		window:SetVisible(false);
		window:SetSize(width, height);
		window:SetBackground("EruadarionPlugins/PullTimer/Resources/"..countdown..".tga");
		window:SetStretchMode(1);
		window:SetSize(width/4 + index, height/4 + index);
		window:SetPosition(Turbine.UI.Display.GetWidth() / 2 - (width/4 + index) / 2, Turbine.UI.Display.GetHeight() / 3 - (height/4 + index) / 3)
		window:SetVisible(true);
		if index <= 100 then
			index = index + 5;
		end
	end
	if currentTime - previousTime2 >= 1 then
		previousTime2 = currentTime;
		index = 0;
		countdown = countdown - 1;
		if countdown < 0 then
			window:SetWantsUpdates(false);
			window:SetVisible(false);
		end
	end
end

function Turbine.Chat.Received(sender, args)
	local m1;
	local m2;
	if args.ChatType == Turbine.ChatType.Fellowship or args.ChatType == Turbine.ChatType.Raid then
		m1, m2 = string.find(string.lower(args.Message),"pull in ");
		if m1 ~= nil then
			countdown = tonumber(string.sub(args.Message, m2+1, -3));
			if countdown ~= nil then
				if countdown > 10 or countdown <= 0 or countdown ~= math.floor(countdown) then
					Turbine.Shell.WriteLine("[PullTimer] Not a valid countdown.")
					return
				end
				previousTime1 = Turbine.Engine.GetGameTime();
				previousTime2 = Turbine.Engine.GetGameTime();
				index = 0;
				window:SetWantsUpdates(true);
			end
		end
	end
end